SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::SoundStream::Chunk Struct Reference

Structure defining a chunk of audio data to stream. More...

`#include <SoundStream.hpp>`

## Public Attributes

const Int16 * | samples
| Pointer to the audio samples.
std::size_t | sampleCount
| Number of samples pointed by Samples.

## Detailed Description

Structure defining a chunk of audio data to stream.

Definition at line 53 of file SoundStream.hpp.

## Member Data Documentation

## ◆ sampleCount

std::size_t sf::SoundStream::Chunk::sampleCount

Number of samples pointed by Samples.

Definition at line 56 of file SoundStream.hpp.

## ◆ samples

const Int16* sf::SoundStream::Chunk::samples

Pointer to the audio samples.

Definition at line 55 of file SoundStream.hpp.

The documentation for this struct was generated from the following file:

- SoundStream.hpp